Name:		    secvarctl
Version:	    1.0.0
Release:	    %autorelease
Summary:	    A command line tool for managing Secure Boot Variables on POWER

License:	    Apache-2.0
URL:		    https://github.com/open-power/secvarctl
Source0:	    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/ibm/libstb-secvar/archive/ce98be9d15ac2df062726b4451f0ec0c0b27fbf2.tar.gz

BuildRequires:	gcc
BuildRequires:	cmake
BuildRequires:	openssl-devel

%description
secvarctl is a collection of sub-commands for reading, writing
and updating secure variables on POWER's Secure Boot.
The sub-commands are:
	-read , prints info on secure variables
	-write , updates secure variable with new signed authenticated file
	-validate , validates format of given file
	-verify , determines if new variable updates are correctly signed/formatted
	-generate , create relevant files for secure variable management

%prep
%autosetup -p1
tar xf %{SOURCE1} -C external/libstb-secvar --strip-components=1

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install

%check
make check

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
%autochangelog
